# Gimp.Procedure.set_argument_sync

    @accepts(Gimp.Procedure, unicode, Gimp.ArgumentSync)
    @returns(none)
    def set_argument_sync(self, arg_name, sync):
        # Python wrapper for gimp_procedure_set_argument_sync()

When the procedure's run() function exits, a Gimp.Procedure's arguments or auxiliary arguments can be automatically synced with a Gimp.Parasite of the Gimp.Image the procedure is running on.

In order to enable this, set sync to Gimp.ArgumentSync.parasite.

Currently, it is possible to sync a string argument of type GObject.ParamSpecString with an image parasite of the same name, for example the "gimp-comment" parasite in file save procedures.

Since 3.0

self

  a Gimp.Procedure.

arg_name

  the name of one of self's arguments or auxiliary arguments.

sync

  how to sync the argument or auxiliary argument.